It is currently Sun Apr 18, 2021 9:18 am


The forum is READ ONLY. Please direct any future discussions to our Facebook page


 Page 1 of 1 [ 8 posts ] 
Author Message
 Post subject: .20 Create_universe help please
PostPosted: Fri May 09, 2008 9:26 am 
Newbie
Newbie

Joined: Sun Mar 09, 2008 10:31 am
Posts: 22
my problem is when creating universe it gives me error:

Warning: main(/www/playphp.freehostia.com/aatrade/backends/smarty2/libs/Smarty.class.php): failed to open stream: No such file or directory in /home/www/playphp.freehostia.com/aatrade/header.php on line 24

Fatal error: main(): Failed opening required '/www/playphp.freehostia.com/aatrade/backends/smarty2/libs/Smarty.class.php' (include_path='.:/usr/local/lib/php') in /home/www/playphp.freehostia.com/aatrade/header.php on line 24

Why? What does it mean?

I am runnig game at this:

System Linux hex14.freehostia.com 2.6.24.3-SE #6 SMP Sun Mar 9 09:58:43 GMT 2008 i686
Operating System Linux / Unux
OS Type Linux
Platform System Apache
Apache Version 1.3.33
Zend Version 1.3.0
PHP Version (4.3.0 or higher needed) 4.4.0
MySql Version (4.0.3 or higher needed) 3.23.56
PHP Interface CGI PHP
GD Version bundled (2.0.28 compatible)
JPG Support Enabled
PNG Support Enabled
GIF Read Support Enabled
zlib Installed Yes - You can enable AATraders gZip output option.
zlib Output Compression Disabled
Safe Mode Disabled
Register Globals Enabled
Magic_quotes_gpc Enabled
Adodb Installed Yes
Smarty Installed Yes


Offline
 Profile  
 
 Post subject: Re: .20 Create_universe help please
PostPosted: Fri May 09, 2008 8:50 pm 
Site Admin
Site Admin
User avatar

Joined: Wed Feb 19, 2003 12:17 pm
Posts: 2619
Issues to follow:

#1 We don't support older versions of the software. Anything older than .30 is discontinued.

#2 .20 has so many holes you would be crazy to even want to run it, I would suggest .21 over .20

#3 Mysql 3 is marginal and may work but you will have issues.

#4 The errors below represent that it cannot find the file. Double check your server paths. This applies to any of the versions. If you don't have the correct paths setup, no version we have will work.


friik wrote:
my problem is when creating universe it gives me error:

Warning: main(/www/playphp.freehostia.com/aatrade/backends/smarty2/libs/Smarty.class.php): failed to open stream: No such file or directory in /home/www/playphp.freehostia.com/aatrade/header.php on line 24

Fatal error: main(): Failed opening required '/www/playphp.freehostia.com/aatrade/backends/smarty2/libs/Smarty.class.php' (include_path='.:/usr/local/lib/php') in /home/www/playphp.freehostia.com/aatrade/header.php on line 24

Why? What does it mean?

I am runnig game at this:

System Linux hex14.freehostia.com 2.6.24.3-SE #6 SMP Sun Mar 9 09:58:43 GMT 2008 i686
Operating System Linux / Unux
OS Type Linux
Platform System Apache
Apache Version 1.3.33
Zend Version 1.3.0
PHP Version (4.3.0 or higher needed) 4.4.0
MySql Version (4.0.3 or higher needed) 3.23.56
PHP Interface CGI PHP
GD Version bundled (2.0.28 compatible)
JPG Support Enabled
PNG Support Enabled
GIF Read Support Enabled
zlib Installed Yes - You can enable AATraders gZip output option.
zlib Output Compression Disabled
Safe Mode Disabled
Register Globals Enabled
Magic_quotes_gpc Enabled
Adodb Installed Yes
Smarty Installed Yes



_________________
My Blog: http://tarnusharten.aatraders.com
My Tech Blog: http://www.bswebdev.com
Offline
 Profile  
 
 Post subject: Re: .20 Create_universe help please
PostPosted: Sat May 10, 2008 4:23 am 
Newbie
Newbie

Joined: Sun Mar 09, 2008 10:31 am
Posts: 22
1. /home/www/playphp.freehostia.com/aatrade/header.php Path to game does not start with home.
2. I made .21a game and that has same problem.


Offline
 Profile  
 
 Post subject: Re: .20 Create_universe help please
PostPosted: Sat May 10, 2008 9:41 am 
Site Admin
Site Admin
User avatar

Joined: Wed Feb 19, 2003 12:17 pm
Posts: 2619
friik wrote:
1. /home/www/playphp.freehostia.com/aatrade/header.php Path to game does not start with home.
2. I made .21a game and that has same problem.


As I said in the previous path. Change the path to match what its supposed to be.



_________________
My Blog: http://tarnusharten.aatraders.com
My Tech Blog: http://www.bswebdev.com
Offline
 Profile  
 
 Post subject: Re: .20 Create_universe help please
PostPosted: Sat May 10, 2008 9:46 am 
Newbie
Newbie

Joined: Sun Mar 09, 2008 10:31 am
Posts: 22
i cant match it as it have to be. i did it but it gave me a lot more and different errors


Offline
 Profile  
 
 Post subject: Re: .20 Create_universe help please
PostPosted: Sat May 10, 2008 9:52 am 
Newbie
Newbie

Joined: Sun Mar 09, 2008 10:31 am
Posts: 22
Anyway the same problem was even then if i made server to another place. there was path to game as it have to be but it gave same error.


Offline
 Profile  
 
 Post subject: Re: .20 Create_universe help please
PostPosted: Sun May 11, 2008 3:11 am 
Newbie
Newbie

Joined: Sun Mar 09, 2008 10:31 am
Posts: 22
Ok. I made another sever and there i got that kind error:

Fatal error: Class ADODB_Iterator contains 1 abstract method and must therefore be declared abstract or implement the remaining methods (Iterator::valid) in /home/playphp/public_html/aatrade21a/backends/adodb/adodb-iterator.inc.php on line 46

Game runs on this:

Operating System Linux / Unux
OS Type Linux
Platform System Apache
Apache Version 2.2.8
Zend Version 2.2.0
PHP Version (4.3.0 or higher needed) 5.2.5
MySql Version (4.0.3 or higher needed) 5.0.45
PHP Interface CGI PHP
GD Version bundled (2.0.34 compatible)
JPG Support Enabled
PNG Support Enabled
GIF Read Support Enabled
zlib Installed Yes - You can enable AATraders gZip output option.
zlib Output Compression Disabled
Safe Mode Disabled
Register Globals Disabled
Magic_quotes_gpc Enabled
Adodb Installed Yes
Smarty Installed Yes


Offline
 Profile  
 
 Post subject: Re: .20 Create_universe help please
PostPosted: Sun May 11, 2008 9:34 am 
Site Admin
Site Admin
User avatar

Joined: Wed Feb 19, 2003 12:17 pm
Posts: 2619
.21 or less absolutely will not work with php5 and mysql 5. This is exactly why we stopped supporting it, and only support .3x


friik wrote:
Ok. I made another sever and there i got that kind error:

Fatal error: Class ADODB_Iterator contains 1 abstract method and must therefore be declared abstract or implement the remaining methods (Iterator::valid) in /home/playphp/public_html/aatrade21a/backends/adodb/adodb-iterator.inc.php on line 46

Game runs on this:

Operating System Linux / Unux
OS Type Linux
Platform System Apache
Apache Version 2.2.8
Zend Version 2.2.0
PHP Version (4.3.0 or higher needed) 5.2.5
MySql Version (4.0.3 or higher needed) 5.0.45
PHP Interface CGI PHP
GD Version bundled (2.0.34 compatible)
JPG Support Enabled
PNG Support Enabled
GIF Read Support Enabled
zlib Installed Yes - You can enable AATraders gZip output option.
zlib Output Compression Disabled
Safe Mode Disabled
Register Globals Disabled
Magic_quotes_gpc Enabled
Adodb Installed Yes
Smarty Installed Yes



_________________
My Blog: http://tarnusharten.aatraders.com
My Tech Blog: http://www.bswebdev.com
Offline
 Profile  
 
Display posts from previous:  Sort by  
 Page 1 of 1 [ 8 posts ] 


Who is online

Users browsing this forum: No registered users and 2 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  

cron